読者です 読者をやめる 読者になる 読者になる

george tsubota

自分に自信を持て!ー>オレ

mac > vagrant > CentOS6.8 でMySqlのインストールにてこづった

Vagrant, Ruby, MySQLのインストール

以下、参考。 qiita.com

CentOSのバージョン確認

[vagrant@localhost ~]$ cat /etc/redhat-release mawatari.jp

MySQLのインストール実行時に

  1. sudo yum –enablerepo=‘mysql57-community*’ install -y mysql-community-server
  2. 次のエラーを確認。

    エラー: パッケージ: mysql-community-client-5.7.17-1.el7.x86_64 (mysql57-community) 要求: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)

    エラー: パッケージ: mysql-community-server-5.7.17-1.el7.x86_64 (mysql57-community) 要求: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)

    エラー: パッケージ: mysql-community-libs-5.7.17-1.el7.x86_64 (mysql57-community) 要求: libc.so.6(GLIBC_2.14)(64bit)

    エラー: パッケージ: mysql-community-server-5.7.17-1.el7.x86_64 (mysql57-community) 要求: libc.so.6(GLIBC_2.17)(64bit)

    エラー: パッケージ: mysql-community-server-5.7.17-1.el7.x86_64 (mysql57-community) 要求: systemd

    エラー: パッケージ: mysql-community-client-5.7.17-1.el7.x86_64 (mysql57-community) 要求: libc.so.6(GLIBC_2.14)(64bit)

    問題を回避するために –skip-broken を用いることができません

    これらを試行できます: rpm -Va –nofiles –nodigest

  3. 前項のエラーは依存ライブラリが不足している(?)

    依存ライブラリを追加

    sudo yum install -y libstdc++.so.6

d.hatena.ne.jp

再度、MySQLのインストールを実行

以下、必要な所を実行。RubyMySQLについて参考にさせていただきました。 qiita.com

VagrantのSnapshotを取り終了。

qiita.com